Bug 72127 - consolehelper fails silently for nonexistent programs
consolehelper fails silently for nonexistent programs
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: usermode (Show other bugs)
null
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-21 06:02 EDT by Barry K. Nathan
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-03 02:04:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2002-08-21 06:02:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020818

Description of problem:
When consolehelper is set up to run a program that doesn't actually exist, it
asks for the password (if you're not already root) then exits silently.

Version-Release number of selected component (if applicable):
usermode 1.60-1

How reproducible:
Always

Steps to Reproduce:
1. Run a program that has consolehelper, etc. set up but which doesn't actually
exist (e.g., up2date-config).
2. If necessary, enter root password.

Actual Results:  Silence.

Expected Results:  Some kind of error message. IMO silent failure is dangerous
on an OS where "silence is success" is a common paradigm. Even though the
primary bug in this example is that up2date-config should be totally nonexistent
(or should run up2date --config), that bug reveals another bug (consolehelper's
lack of error or other response).

Additional info:

The up2date example described above assumes up2date 2.9.46-1.
Comment 1 Nalin Dahyabhai 2002-09-03 02:04:14 EDT
Fixing in 1.61 (you should see a somewhat uninformative "Unknown error" error
dialog).
Comment 2 Jay Turner 2002-09-04 00:09:57 EDT
Fix confirmed with usermode-1.62-1.

Note You need to log in before you can comment on or make changes to this bug.